[Swift-commit] r5643 - SwiftApps/SciColSim
jonmon at ci.uchicago.edu
jonmon at ci.uchicago.edu
Thu Feb 16 16:39:47 CST 2012
Author: jonmon
Date: 2012-02-16 16:39:47 -0600 (Thu, 16 Feb 2012)
New Revision: 5643
Modified:
SwiftApps/SciColSim/swiftopt.sh
Log:
reverted to 5640 for swiftopt.sh in SciColSim
Modified: SwiftApps/SciColSim/swiftopt.sh
===================================================================
--- SwiftApps/SciColSim/swiftopt.sh 2012-02-16 22:03:18 UTC (rev 5642)
+++ SwiftApps/SciColSim/swiftopt.sh 2012-02-16 22:39:47 UTC (rev 5643)
@@ -13,7 +13,7 @@
# Function to run Swift
runswift() {
- SWIFT_HEAP_MAX=$ram SWIFT_LIB=.. $swift >> swift.out 2>&1 -tc.file tc.data -sites.file $1 -config cf annealing.swift -e33="$escapecode" \
+ SWIFT_HEAP_MAX=$ram SWIFT_LIB=.. $swift >> swift.out 2>&1 -tc.file tc.data -sites.file $1 -config cf ../annealing.swift -e33="$escapecode" \
\
-minrange=$min_target_innovation \
-maxrange=$max_target_innovation \
@@ -40,8 +40,6 @@
dryrun=
escapecode=$(printf '\033')
fixed_params=2 # Currently CONSTANT, will want to have this vary
-graph=movie_graph.txt
-rc=0
# Process command line arguments
while [ $# -gt 0 ]; do
@@ -100,7 +98,7 @@
echo Missing configuration file $execsite.cf
fi
-cp $graph $rundir
+cp movie_graph.txt $rundir
# Echo parameters
echo Annealing parameters:
@@ -109,13 +107,9 @@
echo
# Echo runtime estimates
-#total_jobs=`python -c "from math import ceil; print int(ceil(($max_target_innovation.00 - $min_target_innovation.00)/$target_innovation_increment.00) * $annealing_repeats * $fixed_params * $annealing_cycles * ($evolve_reruns/$reruns_per_opt_invocation) * $nworkers)"`
-#echo Total jobs = $total_jobs
+total_jobs=`python -c "from math import ceil; print int(ceil(($max_target_innovation.00 - $min_target_innovation.00)/$target_innovation_increment.00) * $annealing_repeats * $fixed_params * $annealing_cycles * ($evolve_reruns/$reruns_per_opt_invocation) * $nworkers)"`
+echo Total jobs = $total_jobs
-cp annealing.swift $rundir
-cp math.swift $rundir
-cp colortext.swift $rundir
-
cd $rundir
# Do the run
@@ -137,20 +131,20 @@
echo "Run dir=$rundir" >> ABOUT
echo "Work dir=$WORK" >> ABOUT
-#echo "Total jobs=$total_jobs" >> ABOUT
+echo "Total jobs=$total_jobs" >> ABOUT
if [ _$dryrun != _ ]; then
exit 0
fi
if [ "$USE_SCS" == "1" ]; then
- rc=runswift "sites.xml"
+ runswift "sites.xml"
stop-coaster-service
else
- rc=runswift "$execsite.xml"
+ runswift "$execsite.xml"
fi
-exit $rc
+exit $?
# @arg("nworkers","4")
# @arg("rerunsperapp", "100")
More information about the Swift-commit
mailing list